const initheaders = [
  "买方公司编码",
  "回票申请编码",
  "审核状态",
  "审核备注"
];

export const mapProp = {
  value0: "companyNo",
  value1: "hpNo",
  value2: "status",
  value3: "remark"
};

export const requireHeaders = ["payNo", "companyNo", "hpNo", "status"];

const columns = () => {
  const list: any[] = [
    {
      type: "index",
      width: "50",
      fixed: "left",
      label: "序号"
    }
  ];

  initheaders.forEach((si, sii) => {
    list.push({
      label: si,
      prop: "value" + sii,
      minWidth: sii === 0 || sii === 1 ? "120px" : "90px"
    });
  });

  console.log(list);
  return list;
};

export { initheaders, columns };
